Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.sandesha2.storage
Class SandeshaStorageException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  java.rmi.RemoteException
                      org.apache.axis2.AxisFault
                          org.apache.sandesha2.SandeshaException
                              org.apache.sandesha2.storage.SandeshaStorageException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  SandeshaStorageTransientException

    public class SandeshaStorageException

extends SandeshaException

To easily track exceptions happening in the storage area.

See Also:
  Serialized Form

Constructor Summary
`SandeshaStorageException(java.lang.Exception e)`
`SandeshaStorageException(java.lang.String message)`
`SandeshaStorageException(java.lang.String m, java.lang.Exception e)`

Method Summary

Methods inherited from class org.apache.axis2.AxisFault
`addHeader, addReason, addReason, getDetail, getFaultAction, getFaultCode, getFaultCodeElement, getFaultDetailElement, getFaultMessageContext, getFaultNode, getFaultNodeElement, getFaultReasonElement, getFaultRole, getFaultRoleElement, getFaultSubCodes, getFaultType, getMessage, getNodeURI, getReason, headerIterator, headers, makeFault, setDetail, setFaultAction, setFaultCode, setFaultCode, setFaultSubCodes, setFaultType, setNodeURI`

Methods inherited from class java.rmi.RemoteException
`getCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SandeshaStorageException

    public SandeshaStorageException(java.lang.String message)

### SandeshaStorageException

    public SandeshaStorageException(java.lang.Exception e)

### SandeshaStorageException

    public SandeshaStorageException(java.lang.String m,
                                    java.lang.Exception e)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Apache Web Services Project. All Rights Reserved.